## Create new namespaces. **post** `/accounts/{account_id}/ai-search/namespaces` Create a new namespaces. ### Path Parameters - `account_id: optional string` ### Body Parameters - `name: string` - `description: optional string` Optional description for the namespace. Max 256 characters. ### Returns - `result: { created_at, name, description }` - `created_at: string` - `name: string` - `description: optional string` Optional description for the namespace. Max 256 characters. - `success: boolean` ### Example ```http curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/ai-search/namespaces \ -H 'Content-Type: application/json' \ -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \ -d '{ "name": "production", "description": "Production environment" }' ``` #### Response ```json { "result": { "created_at": "2019-12-27T18:11:19.117Z", "name": "production", "description": "Production environment" }, "success": true } ```